Model Versions
Model Versions
GET /api/v1/models/{id}/versions/{version_id}/download/{asset_type}
Get download
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
version_id | path | string | true |
asset_type | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{id}/versions/{version_id}/download/{asset_type}POST /api/v1/models/{id}/versions/{version_id}/upload
Create Model
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
version_id | path | string | true |
Response
Type: ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/models/{id}/versions/{version_id}/uploadGET /api/v1/models/{model_id}/versions
Get Model Versions
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
Response
Type: []ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{model_id}/versionsPOST /api/v1/models/{model_id}/versions
Create Model Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
Request Body
Type: ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Response
Type: ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/models/{model_id}/versionsGET /api/v1/models/{model_id}/versions/{id}
Get Model Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
id | path | string | true |
Response
Type: ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{model_id}/versions/{id}PUT /api/v1/models/{model_id}/versions/{id}
Update Model Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
id | path | string | true |
Request Body
Type: ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Response
Type: ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/models/{model_id}/versions/{id}DELETE /api/v1/models/{model_id}/versions/{id}
Delete Model Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{model_id}/versions/{id}